Account and agency
Get creator platform profile
Read the creator's public profile and editable profile settings from the connected platform.
GET
/v1/agencies/{agencyId}/creators/{creatorId}/platform-profileRead the creator's public profile and editable profile settings from the connected platform.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agencies/string/creators/string/platform-profile" \ -H "Authorization: Bearer YOUR_API_KEY"{ "data": { "name": "string", "about": "string", "location": "string", "subscribePrice": 0, "website": "string", "banner": "string", "promotions": [ { "id": "string", "message": "string", "price": 0, "type": "string", "canClaim": true, "claimsCount": 0, "subscribeCounts": 0, "subscribeDays": 0, "createdAt": "string", "finishedAt": "string", "isFinished": true } ], "subscriptionBundles": [ { "id": "string", "discount": 0, "duration": 0, "price": 0 } ], "canCreatePromotion": true, "canCreateTrial": true, "canAddStory": true, "id": "string", "username": "string", "avatar": "string" }, "meta": { "requestId": "string" }}